summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFrédéric Bérat <fberat@redhat.com>2022-12-12 07:32:13 +0100
committerMike Frysinger <vapier@gentoo.org>2023-01-15 16:51:44 -0500
commit6d6fc91c472fd84bd71a1b012fa9ab77bd94efea (patch)
tree29ffca294635a4184ab5bc02d992febcd35c95a6
parent7fd1d064a545cfb7864d97694ae98e3d060c62d3 (diff)
downloadautomake-6d6fc91c472fd84bd71a1b012fa9ab77bd94efea.tar.gz
tests: depcomp: ensure make_ok() fails when run_make fails
While running automake tests with -std-gnu=c99, the compiler report errors which lead to make to fail. Yet, these failures are ignored during the tests, which considers them to be successful as stderror is check for one specific pattern. If make fails, investigation should be made to discover why, whatever the reason for the failure is. * t/ax/depcomp.sh: Make make_ok fail when make fails.
-rw-r--r--t/ax/depcomp.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/t/ax/depcomp.sh b/t/ax/depcomp.sh
index 3c4db10e3..7a3ac63a7 100644
--- a/t/ax/depcomp.sh
+++ b/t/ax/depcomp.sh
@@ -160,7 +160,7 @@ case $depcomp_with_libtool in
echo lib_LTLIBRARIES = libfoo.la >> Makefile.am
make_ok ()
{
- run_make -M -- ${1+"$@"}
+ run_make -M -- ${1+"$@"} || return 1
$FGREP 'unknown directive' output && return 1
rm -f output
# Checks for stray files possibly left around by less common